Vulnerabilities (CVE)

Filtered by vendor Gitlab Subscribe
Filtered by product Runner
Total 3 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2022-2251 1 Gitlab 1 Runner 2023-01-25 N/A 8.0 HIGH
Improper sanitization of branch names in GitLab Runner affecting all versions prior to 15.3.5, 15.4 prior to 15.4.4, and 15.5 prior to 15.5.2 allows a user who creates a branch with a specially crafted name and gets another user to trigger a pipeline to execute commands in the runner as that other user.
CVE-2020-13327 1 Gitlab 1 Runner 2020-11-02 6.0 MEDIUM 7.5 HIGH
An issue has been discovered in GitLab Runner affecting all versions starting from 13.4.0 before 13.4.2, all versions starting from 13.3.0 before 13.3.7, all versions starting from 13.2.0 before 13.2.10. Insecure Runner Configuration in Kubernetes Environments
CVE-2020-13295 1 Gitlab 1 Runner 2020-08-12 6.5 MEDIUM 8.8 HIGH
For GitLab Runner before 13.0.12, 13.1.6, 13.2.3, by replacing dockerd with a malicious server, the Shared Runner is susceptible to SSRF.